Authorization with Magnetic Stripe Swipe
This section provides the information needed to process an authorization with a magnetic stripe swipe.
Although EMV chips on payment cards have become common, sometimes the EMV chip cannot validate the cardholder. In these instances, the magnetic stripe on the back of the payment card can validate the cardholder.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "clientReferenceInformation": { "code": "TC-Vero-2" }, "processingInformation": { "capture": false, "commerceIndicator": "retail" }, "paymentInformation": { "card": { "number": "4xxxxxxxxxxx1111", "expirationMonth": "12", "expirationYear": "2026", "type": "001" } }, "orderInformation": { "amountDetails": { "totalAmount": "9601.00", "currency": "BRL" }, "billTo": { "firstName": "Júlia", "lastName": "Fernández", "address1": "R. Augusta Æ", "address2": "ßloco 01", "locality": "Sáo Paulo", "administrativeArea": "SP", "postalCode": "01310-000", "country": "BR", "email": "[email protected]", "phoneNumber": "999-999-9999", "buildingNumber": "1024 Metrño4", "district": "Bela Vista Æ" } }, "pointOfSaleInformation": { "terminalId": "12345678", "terminalCapability": "4", "entryMode": "swiped", "cardPresent": true, "trackData": "%B4xxxxxxxxxxx1111^JONES/JONES ^3112101976110000868000000?;4xxxxxxxxxxx1111=16121019761186800000?", "cardholderVerificationMethod": "1" }, "merchantDefinedInformation": [ { "key": "third_party_certification_number", "value": "123456789012" } ], "senderInformation": { "referenceNumber": "ms_user" } }{ "_links" : { "authReversal" : { "method" : "POST", "href" : "/pts/v2/payments/7627852931116436203093/reversals" }, "self" : { "method" : "GET", "href" : "/pts/v2/payments/7627852931116436203093" }, "capture" : { "method" : "POST", "href" : "/pts/v2/payments/7627852931116436203093/captures" } }, "clientReferenceInformation" : { "code" : "TC-Vero-2" }, "id" : "7627852931116436203093", "orderInformation" : { "amountDetails" : { "authorizedAmount" : "9601.00", "currency" : "BRL" } }, "paymentAccountInformation" : { "card" : { "type" : "001" } }, "paymentInformation" : { "tokenizedCard" : { "type" : "001" }, "card" : { "type" : "001" } }, "processorInformation" : { "approvalCode" : "010012", "networkTransactionId" : "999010012", "transactionId" : "72b2900a9f316142b627a21031b48b0c259f08ffba0004172a04450c5d212345", "responseCode" : "00003", "avs" : { "code" : "2" } }, "reconciliationId" : "7627852931116436203093", "status" : "AUTHORIZED", "submitTimeUtc" : "2025-11-10T14:34:53Z"}| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
merchantDefinedInformation.key | ||
merchantDefinedInformation.value | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
orderInformation.billTo.firstName | ||
orderInformation.billTo.lastName | ||
paymentInformation.card.expirationMonth | ||
paymentInformation.card.expirationYear | ||
paymentInformation.card.number | ||
paymentInformation.card.type | ||
pointOfSaleInformation.cardPresent | ||
pointOfSaleInformation.cardholderVerificationMethod | ||
pointOfSaleInformation.entryMode | ||
pointOfSaleInformation.terminalCapability | ||
pointOfSaleInformation.terminalId | ||
pointOfSaleInformation.trackData | ||
processingInformation.capture | ||
processingInformation.commerceIndicator | ||
senderInformation.referenceNumber |
Optional Fields
| Field | Type | Description |
|---|---|---|
orderInformation.billTo.address1 | ||
orderInformation.billTo.administrativeArea | ||
orderInformation.billTo.buildingNumber | ||
orderInformation.billTo.country | ||
orderInformation.billTo.district | ||
orderInformation.billTo.email | ||
orderInformation.billTo.locality | ||
orderInformation.billTo.phoneNumber | ||
orderInformation.billTo.postalCode |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026